org.apache.storm.metrics2.reporters

## Class GraphiteStormReporter

- java.lang.Object
- - org.apache.storm.metrics2.reporters.ScheduledStormReporter
  - - org.apache.storm.metrics2.reporters.GraphiteStormReporter

- All Implemented Interfaces:
    com.codahale.metrics.Reporter, StormReporter

      public class GraphiteStormReporter
      extends ScheduledStormReporter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GRAPHITE_HOST`
    `static String` | `GRAPHITE_PORT`
    `static String` | `GRAPHITE_PREFIXED_WITH`
    `static String` | `GRAPHITE_TRANSPORT`

    - ### Fields inherited from class org.apache.storm.metrics2.reporters.ScheduledStormReporter

      `reporter, reportingPeriod, reportingPeriodUnit`

    - ### Fields inherited from interface org.apache.storm.metrics2.reporters.StormReporter

      `REPORT_PERIOD, REPORT_PERIOD_UNITS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphiteStormReporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `prepare(com.codahale.metrics.MetricRegistry metricsRegistry, Map stormConf, Map reporterConf)`

    - ### Methods inherited from class org.apache.storm.metrics2.reporters.ScheduledStormReporter

      `getMetricsFilter, getReportPeriod, getReportPeriodUnit, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GRAPHITE_PREFIXED_WITH

          public static final String GRAPHITE_PREFIXED_WITH

      See Also:
        Constant Field Values

    - #### GRAPHITE_HOST

          public static final String GRAPHITE_HOST

      See Also:
        Constant Field Values

    - #### GRAPHITE_PORT

          public static final String GRAPHITE_PORT

      See Also:
        Constant Field Values

    - #### GRAPHITE_TRANSPORT

          public static final String GRAPHITE_TRANSPORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GraphiteStormReporter

          public GraphiteStormReporter()

  - ### Method Detail

    - #### prepare

          public void prepare(com.codahale.metrics.MetricRegistry metricsRegistry,
                              Map stormConf,
                              Map reporterConf)

Copyright © 2019 The Apache Software Foundation. All rights reserved.